xine-lib: mpd_stream_info_t Struct Reference

xine-lib 1.2.12

Data Fields
mpd_stream_info_t Struct Reference

## Data Fields
uint32_t | mime
uint32_t | sfile
uint32_t | init
uint32_t | media
uint32_t | id
uint32_t | type
uint32_t | index_p
uint32_t | index_as
uint32_t | index_r
uint32_t | timebase
uint32_t | bitrate
uint32_t | samplerate
uint32_t | w
uint32_t | h
uint32_t | frag_start
uint32_t | frag_duration
uint32_t | frag_count

## Field Documentation

## ◆ bitrate

uint32_t mpd_stream_info_t::bitrate

<< units/second

Referenced by mpd_input_load_manifest(), and mpd_input_open().

## ◆ frag_count

uint32_t mpd_stream_info_t::frag_count

<< timebase units

## ◆ frag_duration

uint32_t mpd_stream_info_t::frag_duration

<< frag number offset

Referenced by mpd_input_load_manifest().

## ◆ frag_start

uint32_t mpd_stream_info_t::frag_start

<< video pixels

Referenced by mpd_input_load_manifest().

## ◆ h

uint32_t mpd_stream_info_t::h

Referenced by mpd_input_load_manifest(), and mpd_input_open().

## ◆ id

uint32_t mpd_stream_info_t::id

Referenced by mpd_input_load_manifest().

## ◆ index_as

uint32_t mpd_stream_info_t::index_as

Referenced by mpd_input_load_manifest().

## ◆ index_p

uint32_t mpd_stream_info_t::index_p

Referenced by mpd_input_load_manifest().

## ◆ index_r

uint32_t mpd_stream_info_t::index_r

Referenced by mpd_input_load_manifest().

## ◆ init

uint32_t mpd_stream_info_t::init

Referenced by mpd_input_load_manifest().

## ◆ media

uint32_t mpd_stream_info_t::media

Referenced by mpd_input_load_manifest().

## ◆ mime

uint32_t mpd_stream_info_t::mime

Referenced by mpd_input_load_manifest().

## ◆ samplerate

uint32_t mpd_stream_info_t::samplerate

<< bits/second

Referenced by mpd_input_load_manifest().

## ◆ sfile

uint32_t mpd_stream_info_t::sfile

Referenced by mpd_input_load_manifest().

## ◆ timebase

uint32_t mpd_stream_info_t::timebase

<< xine_stree_t units

Referenced by mpd_input_load_manifest().

## ◆ type

uint32_t mpd_stream_info_t::type

Referenced by mpd_input_load_manifest().

## ◆ w

uint32_t mpd_stream_info_t::w

<< audio_samples/second

Referenced by mpd_input_load_manifest(), and mpd_input_open().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_mpegdash.c